Bug 1727709 - databases always show as empty, app unusable
Summary: databases always show as empty, app unusable
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: adwaita-qt
Version: 30
Hardware: Unspecified
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Martin Bříza
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-08 04:16 UTC by Michael Hrivnak
Modified: 2019-07-11 00:58 UTC (History)
8 users (show)

Fixed In Version: adwaita-qt-1.0.90-2.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-07-11 00:58:06 UTC
Type: Bug


Attachments (Terms of Use)

Description Michael Hrivnak 2019-07-08 04:16:15 UTC
Description of problem:

After opening a password DB, no entries are shown. The app is completely unusable. This seems to be a very recent change, as I use it almost daily.

Obviously this is a big problem for users who keep their credentials and other critical account info relevant to their daily lives in keepassx.


Version-Release number of selected component (if applicable):
keepassx-2.0.3-7.fc29.x86_64

running on Fedora 30 fully-updated

How reproducible:
always


Steps to Reproduce:
1. start the app
2. open an existing DB or create a new one and add an entry

Actual results:
No password entries are shown in the window. Also no groups are shown even after you add one.


Expected results:
password entries and groups are shown in the window.


Additional info:
Maybe this is related to build failures on F30? Just a wild and uninformed guess.

https://bugzilla.redhat.com/show_bug.cgi?id=1675230

Comment 1 John Eckersberg 2019-07-08 13:24:17 UTC
Same problem for me as well.

Comment 2 John Eckersberg 2019-07-08 13:47:45 UTC
Rebuilt from f30 branch didn't fix it, however:

dnf downgrade adwaita-qt5 adwaita-qt4 adwaita-qt-common

Seems to fix the issue.  Those got bumped recently here:

https://bodhi.fedoraproject.org/updates/FEDORA-2019-f3dc79eb7a

Comment 3 Fedora Update System 2019-07-08 16:44:17 UTC
FEDORA-2019-e8b6b35f4d has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-e8b6b35f4d

Comment 4 Fedora Update System 2019-07-09 01:22:11 UTC
adwaita-qt-1.0.90-2.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-e8b6b35f4d

Comment 5 Fedora Update System 2019-07-11 00:58:06 UTC
adwaita-qt-1.0.90-2.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.